Error detecting project version (Don't worry I have found the solution and mentioned in this post)

Hi RPA family !

Please provide a solution for below mentioned error

1 Like

Fine
In your project folder delete json file and run it than new json file will be created
Cheers @Selva_murugan

2 Likes

Have you used the new Studio 19.7 to publish the process and attempting to run with an Older Robot (< 19.7) ?

In Studio 19.7 the schema for project.json has been changed and this backward compatibility is not supported so you must update all your Robots.

I have created new process and doing I didn’t work with any old file

1 Like

Can you try to restart your UiPath processes ? Especially Robot process

If possible also restart your computer.

Hi RPA family

just copy this and paste in your json file it works

 "dependencies": {
    "UiPath.Excel.Activities": "[2.6.2]",
    "UiPath.Mail.Activities": "[1.5.0]",
    "UiPath.System.Activities": "[18.4.2]",
    "UiPath.UIAutomation.Activities": "[19.1.0]",
    "UiPath.Word.Activities": "[1.3.1]"
  },
  "schemaVersion": "3.2",
  "studioVersion": "18.2",
  "projectVersion": "1.0.6834.30415",
  "runtimeOptions": {
    "autoDispose": false,
    "isPausable": true,
    "excludedLoggedData": [
      "Private:*",
      "*password*"
    ]
  },
  "projectType": "Workflow",
  "expressionLanguage": "VisualBasic",
  "libraryOptions": {
    "includeOriginalXaml": false,
    "privateWorkflows": []
  },
  "webServices": []
}
2 Likes

@Selva_murugan this is not a fix; this is a workaround. Will not work for your future project.

Try the restart of computer and check with a new Project.

2 Likes

So this error happened because you were developing a solution with one Studio version, and you tried to run the project with Robot or Studio that are a different version.

As someone just said, this is not a fix just a workaround.

My suggestion is, that you download Enterprise edition Studio and activate the community edition licence (CE). This is because the dirrect download of UiPath Studio CE will be automatically updated every time when there is an update, and this one will not be updated.

I had a nice discussion about this in my topic so you can take a look

3 Likes

Hi @Selva_murugan

One way to make sure that you are running the latest version of the Robot service would be to perform a clean install of Studio. Please see here on detailed steps :slight_smile:

1 Like

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.